
From: Thomas Gleixner <tglx@linutronix.de>

Use the new lock initializers DEFINE_SPIN_LOCK and DEFINE_RW_LOCK

Signed-off-by: Thomas Gleixner <tglx@linutronix.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/isdn/capi/capi.c            |    4 ++--
 25-akpm/drivers/isdn/capi/capidrv.c         |    2 +-
 25-akpm/drivers/isdn/capi/kcapi.c           |    4 ++--
 25-akpm/drivers/isdn/divert/divert_procfs.c |    2 +-
 25-akpm/drivers/isdn/divert/isdn_divert.c   |    2 +-
 5 files changed, 7 insertions(+), 7 deletions(-)

diff -puN drivers/isdn/capi/capi.c~lock-initializer-cleanup-isdn drivers/isdn/capi/capi.c
--- 25/drivers/isdn/capi/capi.c~lock-initializer-cleanup-isdn	Wed Jan 12 16:54:59 2005
+++ 25-akpm/drivers/isdn/capi/capi.c	Wed Jan 12 16:54:59 2005
@@ -143,11 +143,11 @@ struct capidev {
 
 /* -------- global variables ---------------------------------------- */
 
-static rwlock_t capidev_list_lock = RW_LOCK_UNLOCKED;
+static DEFINE_RWLOCK(capidev_list_lock);
 static LIST_HEAD(capidev_list);
 
 #ifdef CONFIG_ISDN_CAPI_MIDDLEWARE
-static rwlock_t capiminor_list_lock = RW_LOCK_UNLOCKED;
+static DEFINE_RWLOCK(capiminor_list_lock);
 static LIST_HEAD(capiminor_list);
 #endif /* CONFIG_ISDN_CAPI_MIDDLEWARE */
 
diff -puN drivers/isdn/capi/capidrv.c~lock-initializer-cleanup-isdn drivers/isdn/capi/capidrv.c
--- 25/drivers/isdn/capi/capidrv.c~lock-initializer-cleanup-isdn	Wed Jan 12 16:54:59 2005
+++ 25-akpm/drivers/isdn/capi/capidrv.c	Wed Jan 12 16:54:59 2005
@@ -140,7 +140,7 @@ typedef struct capidrv_bchan capidrv_bch
 /* -------- data definitions ----------------------------------------- */
 
 static capidrv_data global;
-static spinlock_t global_lock = SPIN_LOCK_UNLOCKED;
+static DEFINE_SPINLOCK(global_lock);
 
 static void handle_dtrace_data(capidrv_contr *card,
 	int send, int level2, u8 *data, u16 len);
diff -puN drivers/isdn/capi/kcapi.c~lock-initializer-cleanup-isdn drivers/isdn/capi/kcapi.c
--- 25/drivers/isdn/capi/kcapi.c~lock-initializer-cleanup-isdn	Wed Jan 12 16:54:59 2005
+++ 25-akpm/drivers/isdn/capi/kcapi.c	Wed Jan 12 16:54:59 2005
@@ -63,9 +63,9 @@ static char capi_manufakturer[64] = "AVM
 #define NCCI2CTRL(ncci)    (((ncci) >> 24) & 0x7f)
 
 LIST_HEAD(capi_drivers);
-rwlock_t capi_drivers_list_lock = RW_LOCK_UNLOCKED;
+DEFINE_RWLOCK(capi_drivers_list_lock);
 
-static rwlock_t application_lock = RW_LOCK_UNLOCKED;
+static DEFINE_RWLOCK(application_lock);
 static DECLARE_MUTEX(controller_sem);
 
 struct capi20_appl *capi_applications[CAPI_MAXAPPL];
diff -puN drivers/isdn/divert/divert_procfs.c~lock-initializer-cleanup-isdn drivers/isdn/divert/divert_procfs.c
--- 25/drivers/isdn/divert/divert_procfs.c~lock-initializer-cleanup-isdn	Wed Jan 12 16:54:59 2005
+++ 25-akpm/drivers/isdn/divert/divert_procfs.c	Wed Jan 12 16:54:59 2005
@@ -29,7 +29,7 @@
 ulong if_used = 0;		/* number of interface users */
 static struct divert_info *divert_info_head = NULL;	/* head of queue */
 static struct divert_info *divert_info_tail = NULL;	/* pointer to last entry */
-static spinlock_t divert_info_lock = SPIN_LOCK_UNLOCKED;/* lock for queue */
+static DEFINE_SPINLOCK(divert_info_lock);/* lock for queue */
 static wait_queue_head_t rd_queue;
 
 /*********************************/
diff -puN drivers/isdn/divert/isdn_divert.c~lock-initializer-cleanup-isdn drivers/isdn/divert/isdn_divert.c
--- 25/drivers/isdn/divert/isdn_divert.c~lock-initializer-cleanup-isdn	Wed Jan 12 16:54:59 2005
+++ 25-akpm/drivers/isdn/divert/isdn_divert.c	Wed Jan 12 16:54:59 2005
@@ -48,7 +48,7 @@ static struct deflect_struc *table_head 
 static struct deflect_struc *table_tail = NULL; 
 static unsigned char extern_wait_max = 4; /* maximum wait in s for external process */ 
 
-spinlock_t divert_lock = SPIN_LOCK_UNLOCKED;
+DEFINE_SPINLOCK(divert_lock);
 
 /***************************/
 /* timer callback function */
_
